## org.eclipse.jst.jsf.facesconfig.emf.impl
Class MapEntryTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.MapEntryTypeImpl

All Implemented Interfaces:
  MapEntryType

    public class MapEntryTypeImpl

extends EObjectImpl
implements MapEntryType

An implementation of the model object 'Map Entry Type'.

The following features are implemented:

- `Key`
- `Null Value`
- `Value`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetKey(KeyType newKey, NotificationChain msgs)`
`NotificationChain` `basicSetNullValue(NullValueType newNullValue, NotificationChain msgs)`
`NotificationChain` `basicSetValue(ValueType newValue, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getId()`
`KeyType` `getKey()`
`NullValueType` `getNullValue()`
`ValueType` `getValue()`
`void` `setId(java.lang.String newId)`
`void` `setKey(KeyType newKey)`
`void` `setNullValue(NullValueType newNullValue)`
`void` `setValue(ValueType newValue)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getKey

    public KeyType getKey()

  Specified by:
    `getKey` in interface `MapEntryType`
  Returns:
    the value of the 'Key' containment reference.
  See Also:
    `MapEntryType.setKey(KeyType)`, `FacesConfigPackage.getMapEntryType_Key()`

### basicSetKey

    public NotificationChain basicSetKey(KeyType newKey,
                                         NotificationChain msgs)

  Parameters:
    `newKey` -
    `msgs` -
  Returns:
    the notification chain

### setKey

    public void setKey(KeyType newKey)

  Specified by:
    `setKey` in interface `MapEntryType`
  Parameters:
    `newKey` - the new value of the 'Key' containment reference.
  See Also:
    `MapEntryType.getKey()`

### getNullValue

    public NullValueType getNullValue()

  Specified by:
    `getNullValue` in interface `MapEntryType`
  Returns:
    the value of the 'Null Value' containment reference.
  See Also:
    `MapEntryType.setNullValue(NullValueType)`, `FacesConfigPackage.getMapEntryType_NullValue()`

### basicSetNullValue

    public NotificationChain basicSetNullValue(NullValueType newNullValue,
                                               NotificationChain msgs)

  Parameters:
    `newNullValue` -
    `msgs` -
  Returns:
    the notification chain

### setNullValue

    public void setNullValue(NullValueType newNullValue)

  Specified by:
    `setNullValue` in interface `MapEntryType`
  Parameters:
    `newNullValue` - the new value of the 'Null Value' containment reference.
  See Also:
    `MapEntryType.getNullValue()`

### getValue

    public ValueType getValue()

  Specified by:
    `getValue` in interface `MapEntryType`
  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `MapEntryType.setValue(ValueType)`, `FacesConfigPackage.getMapEntryType_Value()`

### basicSetValue

    public NotificationChain basicSetValue(ValueType newValue,
                                           NotificationChain msgs)

  Parameters:
    `newValue` -
    `msgs` -
  Returns:
    the notification chain

### setValue

    public void setValue(ValueType newValue)

  Specified by:
    `setValue` in interface `MapEntryType`
  Parameters:
    `newValue` - the new value of the 'Value' containment reference.
  See Also:
    `MapEntryType.getValue()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `MapEntryType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `MapEntryType.setId(String)`, `FacesConfigPackage.getMapEntryType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `MapEntryType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `MapEntryType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()